Bug 79279 - ports update net/mpich 1.2.5.2 -> 1.2.6
Summary: ports update net/mpich 1.2.5.2 -> 1.2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-27 13:40 UTC by David A. Bader
Modified: 2005-05-14 13:27 UTC (History)
1 user (show)

See Also:


Attachments
mpich-patch.gz (4.35 KB, text/plain)
2005-03-27 13:40 UTC, David A. Bader
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David A. Bader 2005-03-27 13:40:02 UTC
        
      The following patch updates /usr/ports/net/mpich from version 
 1.2.5.2 to 1.2.6 and fixes building problems by upgrading from jdk13 to 
 jdk14.
Comment 1 Thierry Thomas freebsd_committer 2005-03-28 12:38:30 UTC
Responsible Changed
From-To: gnats-admin->freebsd-ports-bugs


Rescue from pending requests.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2005-04-04 04:08:04 UTC
Class Changed
From-To: sw-bug->maintainer-update

Reformat properly. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=79279 

Adding to audit trail: see also ports/78922.
Comment 3 Thierry Thomas freebsd_committer 2005-04-06 22:47:34 UTC
State Changed
From-To: open->feedback


Hereunder is a patch with some modifications: 

- pet portlint; 

- use the new syntax for configure -cflags and -rsh; 

- define USE_JAVA; 

- fix ownership of installed files when built with !root; 

- add a test target; 

- fix plist; 

- don't try to build with java when PACKAGE_BUILDING, in order to 
package it. 

With this patch, it builds and run fine on 5.3 and 4.11. 
However, I have some questions: 

- this port uses libtool and install a .so file, but it only defines 
HAS_CONFIGURE; have you to tried to define USE_LIBTOOL_VER? 

- why don't you pass --enable-sharedlib to configure? 

- should we bump PORTREVISION of all ports depending on mpich? 

--- mpichPR.diff begins here --- 
diff -urN net/mpich.PR79279/Makefile net/mpich/Makefile 
--- net/mpich.PR79279/Makefile	Wed Apr  6 21:28:17 2005 
+++ net/mpich/Makefile	Wed Apr  6 23:14:28 2005 
@@ -11,13 +11,13 @@ 
MASTER_SITES=	ftp://ftp.mcs.anl.gov/pub/mpi/ 
DIST_SUBDIR=	mpich 

-MAINTAINER=	dbader@ece.unm.edu 
-COMMENT=	Message Passing Interface (MPI) Library 
- 
PATCH_SITES=	ftp://ftp.mcs.anl.gov/pub/mpi/patch/${PORTVERSION}/ 
PATCHFILES=	10039 10243 10246 

-CONFIGURE_ARGS=	-cflags="${CFLAGS}" -prefix=${PREFIX}/mpich 
+MAINTAINER=	dbader@ece.unm.edu 
+COMMENT=	Message Passing Interface (MPI) Library 
+ 
+CONFIGURE_ARGS=	-prefix=${PREFIX}/mpich 

.if defined(WITHOUT_X11) 
WITHOUT_TK=	yes 
@@ -39,39 +39,26 @@ 
PLIST_SUB+=	TK="" 
.endif 

-.if defined(WITHOUT_JAVA) 
-CONFIGURE_ARGS+= --without-java 
+.if defined(WITHOUT_JAVA) || defined(PACKAGE_BUILDING) 
+CONFIGURE_ARGS+=	--without-java 
PLIST_SUB+=	JAVA="@comment " 
.else 
-RUN_DEPENDS+=	javavm:${PORTSDIR}/java/javavmwrapper  
-		${LOCALBASE}/etc/javavms:${PORTSDIR}/java/jdk14 
-BUILD_DEPENDS+=	javavm:${PORTSDIR}/java/javavmwrapper  
-		${LOCALBASE}/etc/javavms:${PORTSDIR}/java/jdk14 
-PLIST_SUB+=     JAVA="" 
+USE_JAVA=	yes 
+JAVA_VERSION=	1.4+ 
+RUN_DEPENDS+=	javavm:${PORTSDIR}/java/javavmwrapper 
+BUILD_DEPENDS+=	javavm:${PORTSDIR}/java/javavmwrapper 
+PLIST_SUB+=	JAVA="" 
.endif 

HAS_CONFIGURE=	yes 

-.include <bsd.port.pre.mk> 
- 
-# To disable ssh client support, build with WITHOUT_SSH set. 
-# Use ssh instead of rsh 
-.if !defined(WITHOUT_SSH) 
-.if ${OSVERSION} >= 400016 && exists(/usr/bin/ssh) 
-CONFIGURE_ARGS+= -rsh="/usr/bin/ssh" 
-.elif defined(WITH_SSH) || exists(${LOCALBASE}/bin/ssh) 
-RUN_DEPENDS+=   ssh:${PORTSDIR}/security/ssh 
-CONFIGURE_ARGS+= -rsh="${LOCALBASE}/bin/ssh" 
-.endif 
-.endif 
- 
ALL_TARGET= 

MANPREFIX=	${PREFIX}/mpich 

-MAN1= 		MPI.1 cleanipcs.1 mpiCC.1 mpicc.1 mpif77.1 mpif90.1 mpiman.1		 
+MAN1=		MPI.1 cleanipcs.1 mpiCC.1 mpicc.1 mpif77.1 mpif90.1 mpiman.1		 
mpireconfig.1 mpirun.1 Jumpshots.1 chp4_servs.1 tstmachines.1 
-MAN3= 		MPI_File_get_position.3 MPI_File_preallocate.3				 
+MAN3=		MPI_File_get_position.3 MPI_File_preallocate.3				 
MPI_2DOUBLE_PRECISION.3 MPI_2INT.3 MPI_2INTEGER.3 MPI_2REAL.3		 
MPI_ANY_SOURCE.3 MPI_ANY_TAG.3 MPI_Abort.3 MPI_Address.3 MPI_Aint.3	 
MPI_Allgatherv.3 MPI_Allreduce.3 MPI_Alltoall.3 MPI_Alltoallv.3		 
@@ -169,7 +156,7 @@ 
MPI_File_read_at_all_end.3 MPI_File_seek_shared.3 MPI_File_set_view.3	 
MPI_File_write_ordered_begin.3 MPIO_Request_f2c.3			 
MPI_File_write_at_all_begin.3 
-MAN4= 		CLOG_Init.4 CLOG_commtype.4 CLOG_cput.4 CLOG_csync.4			 
+MAN4=		CLOG_Init.4 CLOG_commtype.4 CLOG_cput.4 CLOG_csync.4			 
CLOG_get_new_event.4 CLOG_get_new_state.4 CLOG_init_buffers.4		 
CLOG_mergelogs.4 CLOG_mergend.4 CLOG_msgtype.4 CLOG_procbuf.4 MPE.4	 
CLOG_newbuff.4 CLOG_reclen.4 CLOG_reinit_buff.4 CLOG_treesetup.4	 
@@ -188,6 +175,32 @@ 
CLOG_Output.4 CLOG_nodebuffer2disk.4 CLOG_rectype.4			 
MPE_Describe_event.4 MPE_Get_mouse_press.4 MPE_Make_color_array.4	 
MPE_Print_datatype_unpack_action.4 
-INSTALL_TARGET=	install 
+ 
+.include <bsd.port.pre.mk> 
+ 
+# To disable ssh client support, build with WITHOUT_SSH set. 
+# Use ssh instead of rsh 
+.if !defined(WITHOUT_SSH) 
+.if ${OSVERSION} >= 400016 && exists(/usr/bin/ssh) 
+CONFIGURE_ENV+=	RSHCOMMAND="/usr/bin/ssh" 
+.elif defined(WITH_SSH) || exists(${LOCALBASE}/bin/ssh) 
+RUN_DEPENDS+=	${LOCALBASE}/bin/ssh:${PORTSDIR}/security/ssh 
+CONFIGURE_ENV+=	RSHCOMMAND="${LOCALBASE}/bin/ssh" 
+.endif 
+.endif 
+ 
+post-install: 
+	${CHOWN} -R ${BINOWN}:${BINGRP} ${PREFIX}/mpich/bin ${PREFIX}/mpich/lib 
+	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${PREFIX}/mpich/doc ${PREFIX}/mpich/include	 
+		${PREFIX}/mpich/share 
+.if ! defined(WITHOUT_JAVA) && ! defined(PACKAGE_BUILDING) 
+	${CHOWN} -R ${SHAREOWN}:${SHAREGRP} ${PREFIX}/mpich/logfiles 
+.endif 
+ 
+.if defined(MAINTAINER_MODE) 
+test:	build 
+	(cd ${WRKSRC}/examples/test ;	 
+	${MAKE} testing) 
+.endif 

.include <bsd.port.post.mk> 
diff -urN net/mpich.PR79279/pkg-plist net/mpich/pkg-plist 
--- net/mpich.PR79279/pkg-plist	Wed Apr  6 21:28:17 2005 
+++ net/mpich/pkg-plist	Wed Apr  6 23:35:33 2005 
@@ -1,6 +1,14 @@ 
+%%JAVA%%mpich/bin/clog2TOslog2 
mpich/bin/clog2alog 
+%%JAVA%%mpich/bin/clog2print 
+%%JAVA%%mpich/bin/clogTOslog2 
mpich/bin/clog_print 
+%%JAVA%%mpich/bin/clogprint 
+%%JAVA%%mpich/bin/jumpshot 
+%%JAVA%%mpich/bin/logconvertor 
mpich/bin/mpicc 
+mpich/bin/mpichversion 
+mpich/bin/mpicxx 
mpich/bin/mpif77 
mpich/bin/mpif90 
mpich/bin/mpiman 
@@ -19,19 +27,17 @@ 
mpich/bin/mpirun_dbg.ladebug 
mpich/bin/mpirun_dbg.totalview 
mpich/bin/mpirun_dbg.xxgdb 
+%%JAVA%%mpich/bin/rlogTOslog2 
+%%JAVA%%mpich/bin/rlog_check_timeorder 
+%%JAVA%%mpich/bin/rlog_print 
+%%JAVA%%mpich/bin/rlogprint 
mpich/bin/serv_p4 
+%%JAVA%%mpich/bin/slog2navigator 
+%%JAVA%%mpich/bin/slog2print 
mpich/bin/tarch 
mpich/bin/tdevice 
-mpich/bin/mpichversion 
-mpich/bin/mpicxx 
-mpich/bin/clogprint 
-mpich/bin/clogTOslog2 
-mpich/bin/clog2print 
-mpich/bin/clog2TOslog2 
-mpich/bin/slog2navigator 
-mpich/bin/slog2print 
-mpich/bin/logconvertor 
-%%JAVA%%mpich/bin/jumpshot 
+%%JAVA%%mpich/bin/traceTOslog2.in 
+%%JAVA%%mpich/bin/traceprint.in 
mpich/doc/mpeman.pdf 
mpich/doc/mpeman.ps.gz 
mpich/doc/mpichman-chp4.pdf 
@@ -264,19 +270,23 @@ 
%%JAVA%%mpich/lib/clogprint.jar 
%%JAVA%%mpich/lib/jumpshot.jar 
%%JAVA%%mpich/lib/jumpshot_launcher.jar 
+%%JAVA%%mpich/lib/libTraceInput.la 
+%%JAVA%%mpich/lib/libTraceInput.so 
%%JAVA%%mpich/lib/logconvertor.jar 
%%JAVA%%mpich/lib/slog2navigator.jar 
%%JAVA%%mpich/lib/slog2printrecur.jar 
%%JAVA%%mpich/lib/slog2printserial.jar 
%%JAVA%%mpich/lib/traceTOslog2.jar 
%%JAVA%%mpich/lib/traceprint.jar 
-mpich/logfiles/fpilog.clog 
-mpich/logfiles/fpilog.slog2 
+%%JAVA%%mpich/logfiles/barrier.rlog 
+%%JAVA%%mpich/logfiles/fpilog.clog 
+%%JAVA%%mpich/logfiles/fpilog.slog2 
mpich/man/mandesc 
mpich/sbin/chkserv 
mpich/sbin/chp4_servs 
mpich/sbin/cleanipcs 
mpich/sbin/mpiuninstall 
+@unexec rm %D/mpich/sbin/mpiuninstall.old >/dev/null 2>&1 || true 
mpich/sbin/tstmachines 
mpich/share/Makefile.sample 
mpich/share/examples/Makefile 
@@ -599,7 +609,7 @@ 
@dirrm mpich/man/man3 
@dirrm mpich/man/man1 
@dirrm mpich/man 
-@dirrm mpich/logfiles 
+%%JAVA%%@dirrm mpich/logfiles 
@dirrm mpich/lib/shared 
@dirrm mpich/lib 
@dirrm mpich/include/mpi2c++ 
--- mpichPR.diff ends here --- 



Comment 4 Thierry Thomas freebsd_committer 2005-04-06 22:47:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 5 sirmoo 2005-05-03 01:59:58 UTC
The second patch proposed by Thierry needs to be grabbed from the raw email,
not whatever was pasted in the pr followup, because otherwise the patch
is malformed (no spaces, etc.).
Reference to http://www.freebsd.org/cgi/getmsg.cgi?fetch=1111965+1121282+/usr/local/www/db/text/2005/freebsd-ports-bugs/20050410.freebsd-ports-bugs+raw

-- 
Peter C. Lai
University of Connecticut
Dept. of Molecular and Cell Biology
Yale University School of Medicine
SenseLab | Research Assistant
http://cowbert.2y.net/
Comment 6 Thierry Thomas freebsd_committer 2005-05-14 13:17:16 UTC
State Changed
From-To: feedback->closed


Committed, thanks! 

Note: NAKATA Maho has forwarded your approval to me, but 
there are some pending questions 

- this port uses libtool and install a .so file, but it only defines  
HAS_CONFIGURE; have you to tried to define USE_LIBTOOL_VER?  

- why don't you pass --enable-sharedlib to configure?  

- should we bump PORTREVISION of all ports depending on mpich?